Dev4Press Updater 3.2 is a new major version that brings several updates and some very important fixes related to the upgrade process. Because of that, plugin no longer supports WordPress 3.9 and older.

Plugins Update Status
Plugins Update Status

This version updates the way the plugins and themes statuses are displayed. Now, you can see it displayed more streamlined, with information about update clearly separated from the current version information and update button.

Major updates are under the hood. The plugin had some outdated code made for older versions of WordPress, and that was causing problems in some cases (usually when there are other plugins overriding WordPress upgrade status). This is now cleaned up and old code is removed. This helps with the way plugin rechecks for updates after finishes installing updates. Few more minor issues were fixed with some duplicated filters, calling filter function with some missing arguments. Panel with News is updated to fix the issues with the wrong detection of the feed content type.

The new version should work much smoother, with fewer update calls done after updates (especially when you have more Dev4Press plugins installed). But, for this version, you need to use WordPress 4.0 or newer, older WordPress versions are not supported anymore.

Please let me know if you find any issues or bugs with this new version.

No votes yet.
Please wait...

About the author

MillaN
MillaN
Dev4Press owner and lead developer

Programmer since the age of 12 and now WordPress developer with more than 8 years of WordPress experience, author of more than 100 plugins and more than 20 themes.

Learn More

Dev4Press Updater
Easy to use plugin to install new and update existing Dev4Press premium plugins and themes from within WordPress dashboard, using build in updater system.
Dev4Press Updater Logo

Comments

Leave a Reply

Your email address will not be published. Required fields are marked *